package com.dsk.cscec.domain.vo;

import com.dsk.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 劳务分包企业导出
 *
 * @author sxk
 * @date 2024.06.07
 * @time 17:15
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CustomerInfoLaborCompanyVo extends CustomerInfoVo {
    /**
     * 供应商编号
     */
    @Excel(name = "供应商编号", width = 15)
    private String customerCode;
    /**
     * 供应商名称导出
     * 列表查询时customerName可能作为查询关键字被标红,所以单独设置此属性
     */
    @Excel(name = "供应商名称", width = 30)
    private String customerNameExport;
    /**
     * 二级市场企业编码
     */
    @Excel(name = "二级市场企业编码", width = 15)
    private String secondaryCode;
    /**
     * 推荐公司
     */
    @Excel(name = "推荐单位", width = 30)
    private String recommendOrg;
    /**
     * 注册地区域
     */
    @Excel(name = "公司注册区域", width = 15)
    private String registerRegion;
    /**
     * 省份
     */
    @Excel(name = "公司注册省", width = 10)
    private String registerProvince;
    /**
     * 城市
     */
    @Excel(name = "公司注册市", width = 10)
    private String registerCity;
    /**
     * 集团专业类别
     */
    @Excel(name = "专业类别", width = 20)
    private String groupSpecialty;
    /**
     * 法人代表
     */
    @Excel(name = "法人代表", width = 10)
    private String representative;
    /**
     * 纳税人身份
     */
    @Excel(name = "纳税人身份", width = 10)
    private String paytaxType;
    /**
     * 纳税人税率
     */
    @Excel(name = "纳税人税率(%)", width = 20)
    private String taxRate;
    /**
     * 施工承包范围
     */
    @Excel(name = "施工承包范围", width = 60)
    private String constructJobScope;
    /**
     * 资质等级
     */
    @Excel(name = "资质等级", width = 10)
    private String credential;
    /**
     * 注册资金
     */
    @Excel(name = "注册资金（万元）", cellType = Excel.ColumnType.NUMERIC, width = 20)
    private Double registerCapital;
    /**
     * 联系人
     */
    @Excel(name = "公司联系人", width = 10)
    private String contactPerson;
    /**
     * 联系人电话
     */
    @Excel(name = "联系人电话", width = 15)
    private String contactPhone;
    /**
     * 准入时间
     */
    @Excel(name = "准入时间", width = 15, dateFormat = "yyyy-MM-dd")
    private Date approveDate2;
    /**
     * 公司合作数量
     */
    @Excel(name = "公司合作数量", width = 15)
    private Integer enterpriseCooperationCount;
    /**
     * 合作项目数量
     */
    @Excel(name = "合作项目数量", width = 15)
    private Integer projectCooperationCount;
    /**
     * 考评等级
     */
    @Excel(name = "分包商等级", width = 15)
    private String creditLevel;
}
